Name:           xen-tools-pygrub
Version:        0.3
Release:        17.3
License:        GPL
Group:          System
Summary:        Grub-like bootloader for domU
URL:            http://lxr.xensource.com/lxr/source/tools/pygrub/
Source0:        pygrub-%{version}.tar.gz
Source1:	%{name}-rpmlintrc
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  glibc-devel libgcc gcc gcc-c++ e2fsprogs e2fsprogs-devel libreiserfs libreiserfs-devel python python-devel

%description
pygrub is a grub-like bootloader for xen.
This tool is used to boot from domU images.

%prep
%setup -n xen-tools 

%build
%__make

%install
install -d $RPM_BUILD_ROOT/%{_prefix}/lib/xen/boot
install -d $RPM_BUILD_ROOT/%{py_libdir}/site-packages
%makeinstall
mv $RPM_BUILD_ROOT/%{_bindir}/pygrub $RPM_BUILD_ROOT/%{_prefix}/lib/xen/boot/
mv $RPM_BUILD_ROOT/python/* $RPM_BUILD_ROOT/%{py_libdir}/site-packages/
rm -f $RPM_BUILD_ROOT/%{_libdir}/fs/*/fsimage.so
rm -f $RPM_BUILD_ROOT/%{_libdir}/libfsimage.so*
%clean
rm -rf $RPM_BUILD_ROOT/*
rm -rf $RPM_BUILD_DIR/%{name}*

%files
%defattr(-,root,root)
%dir %{_prefix}/lib/xen
%dir %{_prefix}/lib/xen/boot
%{_prefix}/lib/xen/boot/*
%{_prefix}/include/*
%{py_libdir}/site-packages/fsimage.so
%{py_libdir}/site-packages/pygrub-%{version}-py%{py_ver}.egg-info
%dir %{py_libdir}/site-packages/grub
%{py_libdir}/site-packages/grub/*

%changelog
* Mon Nov 05 2007 Carsten Schoene <cs@linux-administrator.com> - 0.3
- initial build


